# About Example
# Supply specific QDockWidget's symbolic or real name (in this sample application QDockWidget is ColorSwatch)
# change_* functions take three parameters: QDockWidget, resize value, snooze factor in seconds (optional)

source(findFile("scripts", "resizeDockWidget.py"))
if 0: from resizeDockWidget import *

def main():
    startApplication("mainwindow")
    
    YellowDock = waitForObject(":Qt Main Window Demo.Yellow Dock Widget [*]_ColorSwatch")
    RedDock = waitForObject(":Qt Main Window Demo.Red Dock Widget [*]_ColorSwatch")
    WhiteDock = waitForObject(":Qt Main Window Demo.White Dock Widget [*]_ColorSwatch")
    BlackDock = waitForObject(":Qt Main Window Demo.Black Dock Widget [*]_ColorSwatch")
    
    # Resize YellowDock
    change_height_on_top(YellowDock, -20)
    change_height_on_top(YellowDock, 20)
    change_width_on_left(YellowDock, -20)
    change_width_on_left(YellowDock, 20)
    
    # Resize RedDock
    change_height_on_bottom(RedDock, 20)
    change_height_on_bottom(RedDock, -20)
    change_width_on_right(RedDock, 20)
    change_width_on_right(RedDock, -20)
    
    # Resize WhiteDock (snoozes for visual observation)
    change_height_on_top(WhiteDock, 20)
    change_height_on_top(WhiteDock, -20)
    change_height_on_bottom(WhiteDock, -20)
    change_height_on_bottom(WhiteDock, 20)
    change_width_on_left(WhiteDock, -20)
    change_width_on_left(WhiteDock, 20)
    
    # Resize BlackDock (snoozes for visual observation)
    change_height_on_top(BlackDock, 20)
    change_height_on_top(BlackDock, -20)
    change_height_on_bottom(BlackDock, -20)
    change_height_on_bottom(BlackDock, 20)
    change_width_on_right(BlackDock, 20)
    change_width_on_right(BlackDock, -20)
    
